yetus-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a.@apache.org
Subject [1/2] yetus git commit: YETUS-635 Maven plugin should fail when partially enabled
Date Fri, 20 Jul 2018 04:19:25 GMT
Repository: yetus
Updated Branches:
  refs/heads/master 6c9c3d9ce -> b226a8f61


YETUS-635 Maven plugin should fail when partially enabled

Signed-off-by: Allen Wittenauer <aw@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/yetus/repo
Commit: http://git-wip-us.apache.org/repos/asf/yetus/commit/d8448028
Tree: http://git-wip-us.apache.org/repos/asf/yetus/tree/d8448028
Diff: http://git-wip-us.apache.org/repos/asf/yetus/diff/d8448028

Branch: refs/heads/master
Commit: d844802869a8f77bba50e1ed8dbec88339a336a3
Parents: 6c9c3d9
Author: Sean Busbey <busbey@apache.org>
Authored: Wed May 16 12:23:56 2018 -0500
Committer: Allen Wittenauer <aw@apache.org>
Committed: Thu Jul 19 14:23:10 2018 -0700

----------------------------------------------------------------------
 precommit/test-patch.d/maven.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/yetus/blob/d8448028/precommit/test-patch.d/maven.sh
----------------------------------------------------------------------
diff --git a/precommit/test-patch.d/maven.sh b/precommit/test-patch.d/maven.sh
index b16478f..89aa949 100755
--- a/precommit/test-patch.d/maven.sh
+++ b/precommit/test-patch.d/maven.sh
@@ -130,12 +130,29 @@ function maven_initialize
   fi
 }
 
+## @audience     private
+## @stability    stable
+function mvnsite_precheck
+{
+  if ! verify_plugin_enabled 'maven'; then
+    yetus_error "ERROR: to run the mvnsite test you must ensure the 'maven' plugin is enabled."
+    return 1
+  fi
+}
+
+## @audience     private
+## @stability    stable
 function maven_precheck
 {
   declare logfile="${PATCH_DIR}/mvnrepoclean.log"
   declare line
   declare maven_version
 
+  if ! verify_plugin_enabled 'maven'; then
+    yetus_error "ERROR: you can't specify maven as the buildtool if you don't enable the
plugin."
+    return 1
+  fi
+
   if ! verify_command maven "${MAVEN}"; then
     add_vote_table -1 maven "ERROR: maven was not available."
     return 1


Mime
View raw message